<?php

declare(strict_types=1);

namespace Drupal\dwarl\Exception;

/**
 * Failed To Generate Otp Exception.
 */
class FailedToGenerateOtpException extends \Exception {

  /**
   * {@inheritDoc}
   */
  public function __construct(
    string $message = 'Failed to generate one time pass.',
    int $code = 0,
    ?\Exception $previous = NULL,
  ) {
    parent::__construct($message, $code, $previous);
  }

}
