<?php

declare(strict_types=1);

namespace Drupal\dwarl\Exception;

/**
 * Dwarl phone module not enabled exception.
 */
class DwarlPhoneNotEnabledException extends \Exception {

  /**
   * {@inheritDoc}
   */
  public function __construct(
    string $message = 'Module dwarl_phone is not enabled.',
    ?\Exception $previous = NULL,
  ) {
    parent::__construct($message, 0, $previous);
  }

}
