<?php

declare(strict_types=1);

namespace Drupal\dwarl\Exception;

/**
 * User save exception.
 */
class UserSaveException extends \Exception {

  /**
   * {@inheritDoc}
   */
  public function __construct(
    string $message = 'Failed to save user.',
    ?\Exception $previous = NULL,
  ) {
    parent::__construct($message, 0, $previous);
  }

}
