<?php

namespace Drupal\dwarl_test\Detector;

use Drupal\universal_device_detection\Detector\DefaultDetector;

/**
 * Test detector to return test data.
 */
class TestDetector extends DefaultDetector {

  /**
   * {@inheritDoc}
   */
  public function detect($bot = TRUE): array {
    return [
      'info' => [
        'client' => [
          'name' => 'dwarl_test client',
        ],
        'os' => [
          'name' => 'dwarl_test os',
          'version' => '1.0',
        ],
      ],
    ];
  }

}
