<?php

declare(strict_types=1);

namespace Drupal\dwarl_test\WebAuthn;

use Drupal\dwarl\WebAuthn\RegisterDeviceOptions as DwarlRegisterDeviceOptions;

class RegisterDeviceOptions extends DwarlRegisterDeviceOptions {
  /**
   * {@inheritdoc}
   */
  public function getRegistrationOptions(): array {
    return [
      'rp' => 'test',
      'user' => 'test',
      'challenge' => 'test',
      'pubKeyCredParams' => 'test',
      'authenticatorSelection' => 'test',
    ];
  }
}
